# Interface Signature.BaseTypeSig

All Superinterfaces:
  `Signature`

Enclosing interface:
  `Signature`

public static sealed interface Signature.BaseTypeSig extends Signature
Models the signature of a primitive type (JLS 4.2) or void.

See Java Language Specification:
  4.2 Primitive Types and Values
See Java Virtual Machine Specification:
  4.7.9.1 Signatures
Since:
  24

- ## Nested Class Summary

  ### Nested classes/interfaces declared in interface java.lang.classfile.Signature

  `Signature.ArrayTypeSig, Signature.BaseTypeSig, Signature.ClassTypeSig, Signature.RefTypeSig, Signature.ThrowableSig, Signature.TypeArg, Signature.TypeParam, Signature.TypeVarSig`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `char`
  `baseType()`
  Returns the single-letter descriptor for the base type.
  `static Signature.BaseTypeSig`
  `of(char baseType)`
  Returns the signature of a primitive type or void.
  `static Signature.BaseTypeSig`
  `of(ClassDesc classDesc)`
  Returns the signature of a primitive type or void.

  ### Methods declared in interface java.lang.classfile.Signature

  `signatureString`

- ## Method Details

  - ### baseType

    char baseType()
    Returns the single-letter descriptor for the base type.
    Returns:
      the single-letter descriptor for the base type

  - ### of

    static Signature.BaseTypeSig of(ClassDesc classDesc)
    Returns the signature of a primitive type or void.
    Parameters:
      `classDesc` - a symbolic descriptor for the base type, must correspond to a primitive type
    Returns:
      the signature of a primitive type or void
    Throws:
      `IllegalArgumentException` - if the `classDesc` is not primitive

  - ### of

    static Signature.BaseTypeSig of(char baseType)
    Returns the signature of a primitive type or void.
    Parameters:
      `baseType` - the single-letter descriptor for the base type
    Returns:
      the signature of a primitive type or void
    Throws:
      `IllegalArgumentException` - if the `baseType` is not a valid descriptor character for a primitive type or void